<?
	$params = get_params ();
	$comment = $params ["comment"];
	$errors = $params ["errors"];
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
	<head>
		<meta http-equiv="content-type" content="text/html;charset=utf-8" />
		<title>Formulár</title>
		<link href="master.css" type="text/css" rel="stylesheet" />
	</head>
	<body>
		<h1>Formulár</h1>
		<p>
			Toto je serverová časť <a href="http://pc.poradna.net/article/view/29-ajax-validacia-formularov-serverova-cast">príkladu pre vkladanie komentárov</a>,
			ku ktorej sú dostupné <a href="http://pc.poradna.net/files/article/29/form-validation-php.zip">zdrojové kódy</a>.
			Príklad ukazuje validáciu údajov na strane servera.
		</p>
		<p>
			V tomto prípade sa kontroluje, či sú vyplnené povinné položky (prezývka a text príspevku),
			pričom prezývka musí pozostávať minimálne z troch znakov.
			V ďalšej časti seriálu bude tento príklad rozšírený o validáciu s použitím techniky Ajax.
		</p>
		<form action="" method="post" class="ajax">
			<dl>
				<dt>
					<label for="nick">Prezývka <?=html_error ($errors, "nick", "je povinná")?></label>
				</dt>
				<dd>
					<input type="text" id="nick" name="comment[nick]" value="<?=htmlspecialchars ($comment->nick)?>" />
				</dd>
				<dt>
					<label for="mail">E-mail</label>
				</dt>
				<dd>
					<input type="text" id="mail" name="comment[mail]" value="<?=htmlspecialchars ($comment->mail)?>" />
				</dd>
				<dt>
					<label for="text">Text <?=html_error ($errors, "text", "je povinný")?></label>
				</dt>
				<dd>
					<textarea id="text" name="comment[text]" rows="12" cols="40"><?=htmlspecialchars ($comment->text)?></textarea>
				</dd>
			</dl>
			<p>
				<input type="submit" />
			</p>
		</form>
	</body>
</html>
